Gda.Statement – Gda-6.0 Reference Manual

# Statement

## Object Hierarchy:

## Description:

[ CCode ( type_id = "gda_statement_get_type ()" ) ]
public class Statement : Object
Namespace: Gda
Package: Gda-6.0

## Content:

### Properties:

- public SqlStatement structure { owned get; set; }

### Static methods:

- public static Quark error_quark ()

### Creation methods:

- public Statement ()

### Methods:

- public bool check_structure () throws Error
- public bool check_validity (Connection? cnc) throws Error
- public Statement copy ()
- public bool get_parameters (out Set? out_params) throws Error
- public SqlStatementType get_statement_type ()
- public bool is_useless ()
- public bool normalize (Connection cnc) throws Error
- public SqlStatement? rewrite_for_default_values (Set @params, bool remove) throws Error
- public string serialize ()
- public string to_sql_extended (Connection? cnc, Set? @params, StatementSqlFlag flags, out SList<unowned Holder>? params_used) throws Error

### Signals:

- public virtual signal void checked (Connection cnc, bool checked)
- public virtual signal void reset ()

### Inherited Members:

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref